%define modname translit
%define soname %{modname}.so
%define inifile A33_%{modname}.ini

Summary:	Transliterates non-latin character sets to latin
Name:		php-%{modname}
Version:	0.7.0
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://derickrethans.nl/translit.php
Source0:	https://github.com/derickr/pecl-translit/archive/%{version}.tar.gz
BuildRequires:	php-devel >= 3:7.3.0
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4
Epoch:		1

%description
This extension allows you to transliterate text in non-latin characters (such
as Chinese, Cyrillic, Greek etc) to latin characters. Besides the
transliteration the extension also contains filters to upper- and lowercase
latin, cyrillic and greek, and perform special forms of transliteration such as
converting ligatures such as the Norwegian "æ" to "ae" and normalizing
punctuation and spacing.

%prep

%setup -q -n pecl-translit-%{version}

# work around...
mkdir -p ext/iconv
echo "#" > ext/iconv/php_iconv.h
echo "#" > ext/iconv/php_have_bsd_iconv.h
echo "#" > ext/iconv/php_have_libiconv.h
echo "#define HAVE_GLIBC_ICONV 1" > ext/iconv/php_have_glibc_iconv.h
echo "#define HAVE_ICONV 1" > ext/iconv/php_have_iconv.h
echo "#define ICONV_SUPPORTS_ERRNO 1" > ext/iconv/php_iconv_supports_errno.h
echo "#define PHP_ICONV_H_PATH <%{_includedir}/iconv.h>" > ext/iconv/php_php_iconv_h_path.h
echo "#define PHP_ICONV_IMPL \"glibc\"" > ext/iconv/php_php_iconv_impl.h

%build
%serverbuild

phpize
aclocal
autoconf
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 1:0.7.0-2.mga7
+ Revision: 1595920
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Mon Feb 24 2020 mokraemer <mokraemer> 1:0.7.0-1.mga8
+ Revision: 1550075
- new version 0.7.0

* Tue Feb 18 2020 umeabot <umeabot> 1:0.6.2-10.mga8
+ Revision: 1539001
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:0.6.2-9.mga8
+ Revision: 1463545
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:0.6.2-8.mga8
+ Revision: 1454936
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1:0.6.2-6.mga7
+ Revision: 1340465
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1:0.6.2-5.mga7
+ Revision: 1325892
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:0.6.2-4.mga7
+ Revision: 1300247
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:0.6.2-3.mga7
+ Revision: 1217400
- Fix encoding
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:0.6.2-2.mga7
+ Revision: 1181035
+ rebuild (emptylog)

* Thu Nov 30 2017 mokraemer <mokraemer> 1:0.6.2-1.mga7
+ Revision: 1180342
- new version
+ luigiwalser <luigiwalser>
- httpd restart is handled by filetriggers now
+ spuhler <spuhler>
- imported package php-translit

